Bug 172844 - sendmail is ignoring /etc/aliases
Summary: sendmail is ignoring /etc/aliases
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-10 14:49 UTC by Bob Findlay
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-14 13:50:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bob Findlay 2005-11-10 14:49:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
sendmail is ignoring aliases.  both in /etc/aliases and in ~/.forward

e.g.

> echo "root: bob@bbsrc.ac.uk" >> /etc/aliases
> newaliases
> sendmail -v root
.
.
>>> RCPT To:<root@bbsrc.ac.uk>
.
.
- mail attempts to be sent to root@bbsrc.ac.uk instead of bob@bbsrc.ac.uk"

a check of the alias with sendmail -bv root   works as expected -
> sendmail -bv root   
bob@bbsrc.ac.uk... deliverable: mailer smtp, host removedforsecurity.bbsrc.ac.uk, user bob@bbsrc.ac.uk

if the same is done on a RH9 machine 
> sendmail -v root        says
root... aliased to bob@bbsrc.ac.uk

and it works


also, if I touch /etc/aliases then run sendmail -v root it does NOT complain that the aliases.db is out of date like redhat 9 does.

Version-Release number of selected component (if applicable):
sendmail-8.13.4-2.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.> echo "root: bob@bbsrc.ac.uk" >> /etc/aliases
2 > newaliases
3 > sendmail -v root


Actual Results:  mail goes to root@bbsrc

Expected Results:  should go to bob@bbsrc

Additional info:

Comment 1 Thomas Woerner 2006-07-14 13:50:02 UTC
The mail gets delivered to the configured user, but the message is that ist is
getting to root, which is ok. The delivering to the aliased user is done in the
background.

Closing as "NOT A BUG".


Note You need to log in before you can comment on or make changes to this bug.